> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session

> This API is used to retrieves the details and current status of a payment session.



## OpenAPI

````yaml /api-reference/onetimepayments/sessions.json post /billingSession/v1.0/getBillingSession
openapi: 3.0.3
info:
  title: Payment API
  description: API for creating and managing payment sessions and payments.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /billingSession/v1.0/getBillingSession:
    post:
      tags:
        - Sessions
      summary: Get Session
      description: >-
        This API is used to retrieves the details and current status of a
        payment session.
      operationId: getPaymentSession
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Created session ID. Mandatory if refernceId is not passed
                referenceId:
                  type: string
                  description: >-
                    Reference ID passed by the partner while generating the
                    session.

                    Manadatory if id is not passed.
                  format: ReferenceId
              anyOf:
                - required:
                    - id
                - required:
                    - referenceId
            example:
              id: 64a025a8e7825a91b1c2b2a9
      responses:
        '200':
          description: Payment session details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSession'
components:
  schemas:
    GetSession:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Full session object with all the information.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.